This is the API-Cloud-Full section of the Aembit Documentation documentation, as Markdown.
# Aembit Cloud API - Full Reference
> Complete API reference including endpoints and schemas for Aembit Cloud API
# Aembit Cloud API
**Version:** v1
## Base URL
https\://{tenant}.aembit.io
***
# Aembit Cloud API - API Endpoints
**Version:** v1
**Base URL:** https\://{tenant}.aembit.io
## Access Condition
### GET /api/v1/access-conditions
**Summary:** Get a page of Access Conditions
**Description:** Retrieve a page of Aembit Access Conditions.
**Operation ID:** get-access-conditions
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
**Responses:**
* **200**: Page of Access Conditions
* Content-Type: application/json
* Schema: AccessConditionDTOAccessConditionListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/access-conditions?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value"
```
### POST /api/v1/access-conditions
**Summary:** Create an Access Condition
**Description:** Create an Aembit Access Condition which can then be associated with an Access Policy.
**Operation ID:** post-access-condition
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** AccessConditionDTO
* Content-Type: application/json
* Schema: AccessConditionDTO
**Responses:**
* **201**: Successfully created Access Condition
* Content-Type: application/json
* Schema: AccessConditionDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/access-conditions"
```
### PUT /api/v1/access-conditions
**Summary:** Update a single Access Condition
**Description:** Update a specific Access Condition identified by its ID.
**Operation ID:** put-access-condition
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** AccessConditionDTO
* Content-Type: application/json
* Schema: AccessConditionDTO
**Responses:**
* **200**: Successfully updated Access Condition
* Content-Type: application/json
* Schema: AccessConditionDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/access-conditions"
```
### GET /api/v1/access-conditions/{id}
**Summary:** Get the identified Access Condition
**Description:** Get the Access Condition identified by its ID.
**Operation ID:** get-access-condition
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Condition
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Access Condition
* Content-Type: application/json
* Schema: AccessConditionDTO
* **204**: Access Condition Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/access-conditions/{id}"
```
### DELETE /api/v1/access-conditions/{id}
**Summary:** Delete a single Access Condition
**Description:** Delete a specific Access Condition identified by its ID.
**Operation ID:** delete-access-condition
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Condition
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **204**: Deleted the Access Condition
* **400**: Bad Request
* **401**: Not Authenticated
* **404**: Not Found
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/access-conditions/{id}"
```
### PATCH /api/v1/access-conditions/{id}
**Summary:** Patch a single Access Condition
**Description:** Patch a specific Access Condition identified by its ID.
**Operation ID:** patch-access-condition
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Condition
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** AccessConditionPatchDTO
* Content-Type: application/json
* Schema: AccessConditionPatchDTO
**Responses:**
* **200**: Successfully updated Access Condition
* Content-Type: application/json
* Schema: AccessConditionDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/access-conditions/{id}"
```
## Access Condition v2
### GET /api/v2/access-conditions
**Summary:** Get a page of Access Conditions
**Description:** Retrieve a page of Aembit Access Conditions.
**Operation ID:** get-access-conditions2
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
**Responses:**
* **200**: Page of Access Conditions
* Content-Type: application/json
* Schema: AccessConditionV2DTOAccessConditionListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/access-conditions?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value"
```
### POST /api/v2/access-conditions
**Summary:** Create an Access Condition
**Description:** Create an Aembit Access Condition which can then be associated with an Access Policy.
**Operation ID:** post-access-condition2
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** AccessConditionV2DTO
* Content-Type: application/json
* Schema: AccessConditionV2DTO | CrowdStrikeAccessConditionDTO | WizAccessConditionDTO | GeoIPAccessConditionDTO | TimeAccessConditionDTO
**Responses:**
* **201**: Successfully created Access Condition
* Content-Type: application/json
* Schema: AccessConditionV2DTO | CrowdStrikeAccessConditionDTO | WizAccessConditionDTO | GeoIPAccessConditionDTO | TimeAccessConditionDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/access-conditions"
```
### PUT /api/v2/access-conditions
**Summary:** Update a single Access Condition
**Description:** Update a specific Access Condition identified by its ID.
**Operation ID:** put-access-condition2
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** AccessConditionDTO
* Content-Type: application/json
* Schema: AccessConditionV2DTO | CrowdStrikeAccessConditionDTO | WizAccessConditionDTO | GeoIPAccessConditionDTO | TimeAccessConditionDTO
**Responses:**
* **200**: Successfully updated Access Condition
* Content-Type: application/json
* Schema: AccessConditionV2DTO | CrowdStrikeAccessConditionDTO | WizAccessConditionDTO | GeoIPAccessConditionDTO | TimeAccessConditionDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/access-conditions"
```
### GET /api/v2/access-conditions/{id}
**Summary:** Get the identified Access Condition
**Description:** Get the Access Condition identified by its ID.
**Operation ID:** get-access-condition2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Condition
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Access Condition
* Content-Type: application/json
* Schema: AccessConditionV2DTO | CrowdStrikeAccessConditionDTO | WizAccessConditionDTO | GeoIPAccessConditionDTO | TimeAccessConditionDTO
* **204**: Access Condition Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/access-conditions/{id}"
```
### DELETE /api/v2/access-conditions/{id}
**Summary:** Delete a single Access Condition
**Description:** Delete a specific Access Condition identified by its ID.
**Operation ID:** delete-access-condition2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Condition
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **204**: Deleted the Access Condition
* **400**: Bad Request
* **401**: Not Authenticated
* **404**: Not Found
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/access-conditions/{id}"
```
### PATCH /api/v2/access-conditions/{id}
**Summary:** Patch a single Access Condition
**Description:** Patch a specific Access Condition identified by its ID.
**Operation ID:** patch-access-condition2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Condition
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** AccessConditionPatchDTO
* Content-Type: application/json
* Schema: AccessConditionPatchDTO
**Responses:**
* **200**: Successfully updated Access Condition
* Content-Type: application/json
* Schema: AccessConditionV2DTO | CrowdStrikeAccessConditionDTO | WizAccessConditionDTO | GeoIPAccessConditionDTO | TimeAccessConditionDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/access-conditions/{id}"
```
## Access Policy (Deprecated)
### GET /api/v1/access-policies/{id}
**Summary:** Get the identified Access Policy
**Description:** Get the Access Policy identified by its ID.
**Operation ID:** get-access-policy
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Policy
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Access Policy
* Content-Type: application/json
* Schema: PolicyExternalDTO
* **204**: Access Policy Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/access-policies/{id}"
```
### DELETE /api/v1/access-policies/{id}
**Summary:** Delete an Access Policy
**Description:** Delete an Access Policy.
**Operation ID:** delete-access-policy
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Policy
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **204**: Deleted the Access Policy
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/access-policies/{id}"
```
### PATCH /api/v1/access-policies/{id}
**Summary:** Patch an Access Policy
**Description:** Patch an Access Policy.
**Operation ID:** patch-access-policy
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Policy
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** PolicyPatchDTO
* Content-Type: application/json
* Schema: PolicyPatchDTO
**Responses:**
* **200**: Patched Access Policy
* Content-Type: application/json
* Schema: PolicyDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/access-policies/{id}"
```
### GET /api/v1/access-policies/getByWorkloadIds/{clientWorkloadId}/{serverWorkloadId}
**Summary:** Get the identified Access Policy
**Description:** Get the Access Policy identified by a Client and Server Workload.
**Operation ID:** get-access-policy-by-workloads
**Parameters:**
* **clientWorkloadId** (path) *(required)*: string (uuid) - ID of Client Workload
* **serverWorkloadId** (path) *(required)*: string (uuid) - ID of Server Workload
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Access Policy
* Content-Type: application/json
* Schema: PolicyExternalDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/access-policies/getByWorkloadIds/{clientWorkloadId}/{serverWorkloadId}"
```
### GET /api/v1/access-policies
**Summary:** Get a page of Access Policies
**Description:** Retrieve a page of Access Policies.
**Operation ID:** get-access-policies
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string - Filter returned access policies using either a string or a key:value combination
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
**Responses:**
* **200**: Page of Access Policies
* Content-Type: application/json
* Schema: PolicyListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/access-policies?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value"
```
### POST /api/v1/access-policies
**Summary:** Create an Access Policy
**Description:** Create an Access Policy.
**Operation ID:** post-access-policy
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** PolicyDTO
* Content-Type: application/json
* Schema: PolicyDTO
**Responses:**
* **200**: Created Access Policy
* Content-Type: application/json
* Schema: PolicyDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/access-policies"
```
### PUT /api/v1/access-policies
**Summary:** Update an Access Policy
**Description:** Update an Access Policy.
**Operation ID:** put-access-policy
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** PolicyDTO
* Content-Type: application/json
* Schema: PolicyDTO
**Responses:**
* **200**: Updated Access Policy
* Content-Type: application/json
* Schema: PolicyDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/access-policies"
```
### POST /api/v1/access-policies/{id}/notes
**Summary:** Add a note to an Access Policy
**Description:** Add a note to an Access Policy.
**Operation ID:** post-access-policy-note
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Policy
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** PolicyNoteDTO
* Content-Type: application/json
* Schema: PolicyNoteDTO
**Responses:**
* **201**: Note added to an Access Policy
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/access-policies/{id}/notes"
```
## Access Policy v2
### GET /api/v2/access-policies/{id}
**Summary:** Get the identified Access Policy
**Description:** Get the Access Policy identified by its ID.
**Operation ID:** get-access-policy-v2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Policy
**Responses:**
* **200**: Access Policy
* Content-Type: application/json
* Schema: GetPolicyDTO
* **204**: Access Policy Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v2/access-policies/{id}"
```
### DELETE /api/v2/access-policies/{id}
**Summary:** Delete an Access Policy
**Description:** Delete an Access Policy.
**Operation ID:** delete-access-policy-v2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Policy
**Responses:**
* **204**: Deleted the Access Policy
* **400**: Bad Request
* **401**: Not Authenticated
* **404**: Not Found
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
"https://your-tenant.aembit.io/api/v2/access-policies/{id}"
```
### PATCH /api/v2/access-policies/{id}
**Summary:** Patch an Access Policy
**Description:** Patch an Access Policy.
**Operation ID:** patch-access-policy-v2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Policy
**Request Body:** PatchPolicyV2DTO
* Content-Type: application/json
* Schema: PatchPolicyV2DTO
**Responses:**
* **200**: Patched Access Policy
* Content-Type: application/json
* Schema: CreatePolicyDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/access-policies/{id}"
```
### GET /api/v2/access-policies/getByWorkloadIds/{clientWorkloadId}/{serverWorkloadId}
**Summary:** Get the identified Access Policy
**Description:** Get the Access Policy identified by a Client and Server Workload.
**Operation ID:** get-access-policy-by-workloads-v2
**Parameters:**
* **clientWorkloadId** (path) *(required)*: string (uuid) - ID of Client Workload
* **serverWorkloadId** (path) *(required)*: string (uuid) - ID of Server Workload
**Responses:**
* **200**: Access Policy
* Content-Type: application/json
* Schema: GetPolicyDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v2/access-policies/getByWorkloadIds/{clientWorkloadId}/{serverWorkloadId}"
```
### GET /api/v2/access-policies
**Summary:** Get a page of Access Policies
**Description:** Retrieve a page of Access Policies.
**Operation ID:** get-access-policies-v2
**Parameters:**
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string - Filter returned access policies using either a string or a key:value combination
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
* **query** (query) *(optional)*: string
**Responses:**
* **200**: Page of Access Policies
* Content-Type: application/json
* Schema: GetPolicyDTOListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v2/access-policies?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value&query=example-value"
```
### POST /api/v2/access-policies
**Summary:** Create an Access Policy
**Description:** Create an Access Policy.
**Operation ID:** post-access-policy-v2
**Request Body:** CreatePolicyDTO
* Content-Type: application/json
* Schema: CreatePolicyDTO
**Responses:**
* **200**: Created Access Policy
* Content-Type: application/json
* Schema: CreatePolicyDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/access-policies"
```
### PUT /api/v2/access-policies
**Summary:** Update an Access Policy
**Description:** Update an Access Policy.
**Operation ID:** put-access-policy-v2
**Request Body:** CreatePolicyDTO
* Content-Type: application/json
* Schema: CreatePolicyDTO
**Responses:**
* **200**: Updated Access Policy
* Content-Type: application/json
* Schema: CreatePolicyDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/access-policies"
```
### POST /api/v2/access-policies/{id}/notes
**Summary:** Add a note to an Access Policy
**Description:** Add a note to an Access Policy.
**Operation ID:** post-access-policy-note-v2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Policy
**Request Body:** PolicyNoteDTO
* Content-Type: application/json
* Schema: PolicyNoteDTO
**Responses:**
* **201**: Note added to an Access Policy
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/access-policies/{id}/notes"
```
### GET /api/v2/access-policies/{id}/notes
**Summary:** Gets notes for an Access Policy
**Description:** Retrieves note information for an Access Policy.
**Operation ID:** get-access-policy-notes-v2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Policy
**Responses:**
* **200**: Page of Access Policy Notes
* Content-Type: application/json
* Schema: PolicyNoteDTOListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v2/access-policies/{id}/notes"
```
### GET /api/v2/access-policies/{id}/credential-mappings
**Summary:** Gets a credential mappings of Access Policy
**Description:** Retrieves credential mappings of Access Policy.
**Operation ID:** get-access-policy-credential-mappings-v2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Policy
**Responses:**
* **200**: Page of Credential Mappings
* Content-Type: application/json
* Schema: PolicyNoteDTOListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v2/access-policies/{id}/credential-mappings"
```
## Agent Controller
### GET /api/v1/agent-controllers
**Summary:** Get a page of Agent Controllers
**Description:** Get a page of Agent Controllers.
**Operation ID:** get-agent-controllers
**Parameters:**
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
* **check-tls-type** (query) *(optional)*: boolean
**Responses:**
* **200**: Page of Agent Controllers
* Content-Type: application/json
* Schema: AgentControllerListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/agent-controllers?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value&check-tls-type=example-value"
```
### POST /api/v1/agent-controllers
**Summary:** Create an Agent Controller
**Description:** Create an Agent Controller.
**Operation ID:** post-agent-controller
**Request Body:** AgentControllerDTO
* Content-Type: application/json
* Schema: AgentControllerDTO
**Responses:**
* **201**: Created Agent Controller
* Content-Type: application/json
* Schema: AgentControllerDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/agent-controllers"
```
### PUT /api/v1/agent-controllers
**Summary:** Update an Agent Controller
**Description:** Update an Agent Controller.
**Operation ID:** put-agent-controller
**Request Body:** AgentControllerDTO
* Content-Type: application/json
* Schema: AgentControllerDTO
**Responses:**
* **200**: Updated Agent Controller
* Content-Type: application/json
* Schema: AgentControllerDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/agent-controllers"
```
### GET /api/v1/agent-controllers/{id}
**Summary:** Get an Agent Controller
**Description:** Get an Agent Controller identified by its ID.
**Operation ID:** get-agent-controller
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Agent Controller
**Responses:**
* **200**: Agent Controller
* Content-Type: application/json
* Schema: AgentControllerDTO
* **204**: Agent Controller Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/agent-controllers/{id}"
```
### PATCH /api/v1/agent-controllers/{id}
**Summary:** Patch an Agent Controller
**Description:** Patch an Agent Controller identified by its ID.
**Operation ID:** patch-agent-controller
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Agent Controller
**Request Body:** AgentControllerPatchDTO
* Content-Type: application/json
* Schema: AgentControllerPatchDTO
**Responses:**
* **200**: Patched Agent Controller
* Content-Type: application/json
* Schema: AgentControllerDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/agent-controllers/{id}"
```
### DELETE /api/v1/agent-controllers/{id}
**Summary:** Delete an Agent Controller
**Description:** Delete an Agent Controller identified by its ID.
**Operation ID:** delete-agent-controller
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Agent Controller
**Responses:**
* **201**: Successfully deleted Agent Controller
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
"https://your-tenant.aembit.io/api/v1/agent-controllers/{id}"
```
### POST /api/v1/agent-controllers/{agentControllerExternalId}/device-code
**Summary:** Generate a Device Code for an Agent Controller
**Description:** Generate a Device Code for an Agent Controller.
**Operation ID:** post-agent-controller-device-code
**Parameters:**
* **agentControllerExternalId** (path) *(required)*: string (uuid) - ID of Agent Controller
**Responses:**
* **201**: Agent Controller Device Code
* Content-Type: application/json
* Schema: AgentControllerDeviceCodeDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
"https://your-tenant.aembit.io/api/v1/agent-controllers/{agentControllerExternalId}/device-code"
```
## Audit Log
### GET /api/v1/audit-logs
**Summary:** Get a page of Audit Log events
**Description:** Get a page of Audit Log events.
**Operation ID:** get-audit-logs
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **order** (query) *(optional)*: string
* **search** (query) *(optional)*: string
* **span-last-minutes** (query) *(optional)*: integer (int64)
* **span-last-days** (query) *(optional)*: integer (int32)
* **start-date** (query) *(optional)*: string (date-time)
* **end-date** (query) *(optional)*: string (date-time)
* **category** (query) *(optional)*: string
* **severity** (query) *(optional)*: string
**Responses:**
* **200**: Page of Audit Logs
* Content-Type: application/json
* Schema: AuditLogListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/audit-logs?page=example-value&per-page=example-value&order=example-value&search=example-value&span-last-minutes=example-value&span-last-days=example-value&start-date=example-value&end-date=example-value&category=example-value&severity=example-value"
```
### GET /api/v1/audit-logs/{id}
**Summary:** Get an Audit Log event
**Description:** Get an Audit Log event identified by its ID.
**Operation ID:** get-audit-log
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Audit Log
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Audit Log
* Content-Type: application/json
* Schema: AuditLogDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/audit-logs/{id}"
```
## Access Authorization Event
### GET /api/v1/authorization-events
**Summary:** Get a page of Access Authorization Events
**Description:** Get a page of Access Authorization Events.
**Operation ID:** get-access-authorization-events
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **order** (query) *(optional)*: string
* **search** (query) *(optional)*: string
* **span-last-minutes** (query) *(optional)*: integer (int64)
* **span-last-hours** (query) *(optional)*: integer (int32)
* **start-date** (query) *(optional)*: string (date-time)
* **end-date** (query) *(optional)*: string (date-time)
* **severity** (query) *(optional)*: string
* **event-type** (query) *(optional)*: string
**Responses:**
* **200**: Page of Access Authorization Events
* Content-Type: application/json
* Schema: AuthorizationEventListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/authorization-events?page=example-value&per-page=example-value&order=example-value&search=example-value&span-last-minutes=example-value&span-last-hours=example-value&start-date=example-value&end-date=example-value&severity=example-value&event-type=example-value"
```
### GET /api/v1/authorization-events/{id}
**Summary:** Get an Access Authorization Event
**Description:** Get an Access Authorization Event identified by its ID.
**Operation ID:** get-access-authorization-event
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Access Authorization Event
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Access Authorization Event
* Content-Type: application/json
* Schema: AuthorizationEventDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/authorization-events/{id}"
```
## Compliance
### GET /api/v1/compliance-settings
**Summary:** Gets global compliance settings
**Description:** Gets global compliance settings which control the rules for creating access policy and other entities
**Operation ID:** get-compliance-settings
**Responses:**
* **200**: A list of compliance settings
* Content-Type: application/json
* Schema: Array
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/compliance-settings"
```
### PUT /api/v1/compliance-settings
**Summary:** Updates a global compliance setting
**Description:** Updates a global compliance setting
**Operation ID:** update-compliance-setting
**Request Body:** SettingDTO
* Content-Type: application/json
* Schema: SettingDTO
**Responses:**
* **200**: Successfully updated a compliance setting
* Content-Type: application/json
* Schema: SettingDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/compliance-settings"
```
## Content Security
### GET /api/v1/content-security/{id}
**Summary:** Get a Content Security
**Description:** Get a Content Security identified by its ID.
**Operation ID:** get-content-security
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Content Security
**Responses:**
* **200**: Content Security
* Content-Type: application/json
* Schema: ContentSecurityDTO | CrowdStrikeAIDRContentSecurityDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/content-security/{id}"
```
### DELETE /api/v1/content-security/{id}
**Summary:** Delete a Content Security
**Description:** Delete a Content Security identified by its ID.
**Operation ID:** delete-content-security
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Content Security
**Responses:**
* **204**: Successfully deleted Content Security
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
"https://your-tenant.aembit.io/api/v1/content-security/{id}"
```
### PATCH /api/v1/content-security/{id}
**Summary:** Patch a Content Security
**Description:** Patch a Content Security identified by its ID.
**Operation ID:** patch-content-security
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Content Security
**Request Body:** ContentSecurityPatchDTO
* Content-Type: application/json
* Schema: ContentSecurityPatchDTO
**Responses:**
* **200**: Patched Content Security
* Content-Type: application/json
* Schema: ContentSecurityDTO | CrowdStrikeAIDRContentSecurityDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/content-security/{id}"
```
### GET /api/v1/content-security
**Summary:** Get a page of Content Security
**Description:** Get a page of Content Security.
**Operation ID:** get-content-security-list
**Parameters:**
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
**Responses:**
* **200**: Page of Content Security
* Content-Type: application/json
* Schema: ContentSecurityDTOListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/content-security?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value"
```
### POST /api/v1/content-security
**Summary:** Create a Content Security
**Description:** Create a Content Security.
**Operation ID:** post-content-security
**Request Body:** ContentSecurityDTO
* Content-Type: application/json
* Schema: ContentSecurityDTO | CrowdStrikeAIDRContentSecurityDTO
**Responses:**
* **201**: Created Content Security
* Content-Type: application/json
* Schema: ContentSecurityDTO | CrowdStrikeAIDRContentSecurityDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/content-security"
```
### PUT /api/v1/content-security
**Summary:** Update a Content Security
**Description:** Update a Content Security.
**Operation ID:** put-content-security
**Request Body:** ContentSecurityDTO
* Content-Type: application/json
* Schema: ContentSecurityDTO | CrowdStrikeAIDRContentSecurityDTO
**Responses:**
* **200**: Updated Content Security
* Content-Type: application/json
* Schema: ContentSecurityDTO | CrowdStrikeAIDRContentSecurityDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/content-security"
```
## Credential Provider (Deprecated)
### GET /api/v1/credential-providers/{id}
**Summary:** Get a Credential Provider
**Description:** Get a Credential Provider identified by its ID.
**Operation ID:** get-credential-provider
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Credential Provider
* Content-Type: application/json
* Schema: CredentialProviderUIDTO
* **204**: Credential Provider Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/credential-providers/{id}"
```
### DELETE /api/v1/credential-providers/{id}
**Summary:** Delete a Credential Provider
**Description:** Delete a Credential Provider identified by its ID.
**Operation ID:** delete-credential-provider
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **204**: Deleted Credential Provider
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/credential-providers/{id}"
```
### PATCH /api/v1/credential-providers/{id}
**Summary:** Patch a Credential Provider
**Description:** Patch a Credential Provider.
**Operation ID:** patch-credential-provider
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** CredentialProviderPatchDTO
* Content-Type: application/json
* Schema: CredentialProviderPatchDTO
**Responses:**
* **201**: Patched Credential Provider
* Content-Type: application/json
* Schema: CredentialProviderUIDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/credential-providers/{id}"
```
### GET /api/v1/credential-providers/{id}/authorize
**Summary:** Get a Credential Provider Authorization URL
**Description:** Get a Credential Provider Authorization URL identified by the Credential Provider ID.
**Operation ID:** get-credential-provider-authorization
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **302**: Redirects to the Credential Provider Authorization URL
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/credential-providers/{id}/authorize"
```
### GET /api/v1/credential-providers
**Summary:** Get a page of Credential Providers
**Description:** Get a page of Credential Providers.
**Operation ID:** get-credential-providers
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
**Responses:**
* **200**: Page of Credential Providers
* Content-Type: application/json
* Schema: CredentialProviderUIDTOCredentialProviderListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/credential-providers?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value"
```
### POST /api/v1/credential-providers
**Summary:** Create a Credential Provider
**Description:** Create a Credential Provider.
**Operation ID:** post-credential-provider
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** CredentialProviderDTO
* Content-Type: application/json
* Schema: CredentialProviderDTO
**Responses:**
* **201**: Created Credential Provider
* Content-Type: application/json
* Schema: CredentialProviderUIDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/credential-providers"
```
### PUT /api/v1/credential-providers
**Summary:** Update a Credential Provider
**Description:** Update a Credential Provider.
**Operation ID:** put-credential-provider
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** CredentialProviderDTO
* Content-Type: application/json
* Schema: CredentialProviderDTO
**Responses:**
* **201**: Updated Credential Provider
* Content-Type: application/json
* Schema: CredentialProviderUIDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/credential-providers"
```
### GET /api/v1/credential-providers/{id}/verification
**Summary:** Verify the Credential Provider
**Description:** Verify the Credential Provider will successfully return a credential.
**Operation ID:** get-credential-provider-verification
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Details on the verification of a Credential Provider
* Content-Type: application/json
* Schema: GenericResponseDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/credential-providers/{id}/verification"
```
## Credential Provider Integration
### GET /api/v1/credential-integrations/{id}
**Summary:** Get a Credential Provider Integration
**Description:** Get a Credential Provider Integration identified by its ID.
**Operation ID:** get-credential-provider-integration
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider Integration
**Responses:**
* **200**: Credential Provider Integration
* Content-Type: application/json
* Schema: CredentialProviderIntegrationDTO | GitLabCredentialProviderIntegrationDTO | AwsIamRoleCpiDTO | AzureEntraFederationCredentialProviderIntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/credential-integrations/{id}"
```
### DELETE /api/v1/credential-integrations/{id}
**Summary:** Delete a Credential Provider Integration
**Description:** Delete a Credential Provider Integration identified by its ID.
**Operation ID:** delete-credential-provider-integration
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider Integration
**Responses:**
* **204**: Successfully deleted Credential Provider Integration
* **400**: Bad Request
* **401**: Not Authenticated
* **404**: Not Found
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
"https://your-tenant.aembit.io/api/v1/credential-integrations/{id}"
```
### PATCH /api/v1/credential-integrations/{id}
**Summary:** Patch a Credential Provider Integration
**Description:** Patch a Credential Provider Integration identified by its ID.
**Operation ID:** patch-credential-provider-integration
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider Integration
**Request Body:** CredentialProviderIntegrationPatchDTO
* Content-Type: application/json
* Schema: CredentialProviderIntegrationPatchDTO
**Responses:**
* **200**: Patched Credential Provider Integration
* Content-Type: application/json
* Schema: CredentialProviderIntegrationDTO | GitLabCredentialProviderIntegrationDTO | AwsIamRoleCpiDTO | AzureEntraFederationCredentialProviderIntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/credential-integrations/{id}"
```
### GET /api/v1/credential-integrations
**Summary:** Get a page of Credential Provider Integrations
**Description:** Get a page of Credential Provider Integrations.
**Operation ID:** get-credential-provider-integrations
**Parameters:**
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
**Responses:**
* **200**: Page of Credential Provider Integrations
* Content-Type: application/json
* Schema: ListCredentialProviderIntegrationDTOListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/credential-integrations?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value"
```
### POST /api/v1/credential-integrations
**Summary:** Create a Credential Provider Integration
**Description:** Create a Credential Provider Integration.
**Operation ID:** post-credential-provider-integration
**Request Body:** CredentialProviderIntegrationDTO
* Content-Type: application/json
* Schema: CredentialProviderIntegrationDTO | GitLabCredentialProviderIntegrationDTO | AwsIamRoleCpiDTO | AzureEntraFederationCredentialProviderIntegrationDTO
**Responses:**
* **201**: Created Credential Provider Integration
* Content-Type: application/json
* Schema: CredentialProviderIntegrationDTO | GitLabCredentialProviderIntegrationDTO | AwsIamRoleCpiDTO | AzureEntraFederationCredentialProviderIntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/credential-integrations"
```
### PUT /api/v1/credential-integrations
**Summary:** Update a Credential Provider Integration
**Description:** Update a Credential Provider Integration.
**Operation ID:** put-credential-provider-integration
**Request Body:** CredentialProviderIntegrationDTO
* Content-Type: application/json
* Schema: CredentialProviderIntegrationDTO | GitLabCredentialProviderIntegrationDTO | AwsIamRoleCpiDTO | AzureEntraFederationCredentialProviderIntegrationDTO
**Responses:**
* **200**: Updated Credential Provider Integration
* Content-Type: application/json
* Schema: CredentialProviderIntegrationDTO | GitLabCredentialProviderIntegrationDTO | AwsIamRoleCpiDTO | AzureEntraFederationCredentialProviderIntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **404**: Not Found
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/credential-integrations"
```
### GET /api/v1/credential-integrations/list/{type}
**Summary:** Get a list of Credential Provider Integrations by type
**Description:** Get a list of Credential Provider Integrations by type. The most common usage is to populate a dropdown or selection list in the UI.
**Operation ID:** get-credential-provider-integration-list
**Parameters:**
* **type** (path) *(required)*: CredentialProviderIntegrationType - Type of Credential Provider Integration
**Responses:**
* **200**: List of Credential Provider Integrations
* Content-Type: application/json
* Schema: Array
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/credential-integrations/list/{type}"
```
## Credential Provider v2
### POST /api/v2/credential-providers
**Summary:** Create a Credential Provider
**Description:** Create a Credential Provider.
**Operation ID:** post-credential-provider2
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** CredentialProviderV2DTO
* Content-Type: application/json
* Schema: CredentialProviderV2DTO | CPTypeAembitAccessTokenV2DTO | CPTypeApiKeyUIV2DTO | CPAwsStsV2DTO | CPTypeAzureEntraFederationV2DTO | CPTypeAzureKeyVaultValueDTO | CPTypeClaudeWifV2DTO | CPTypeGoogleWorkflowIDFederationV2DTO | CPGitLabManagedAccountDTO | CPTypeOAuth2AuthorizationCodeUIV2DTO | CPTypeOAuth2ClientCredentialsUIV2DTO | CPTypeOpenAiWifV2DTO | CPTypeJWTTokenV2DTO | CPTypeUsernamePasswordUIV2DTO | CPTypeVaultClientTokenV2DTO
**Responses:**
* **201**: Created Credential Provider
* Content-Type: application/json
* Schema: CredentialProviderV2DTO | CPTypeAembitAccessTokenV2DTO | CPTypeApiKeyUIV2DTO | CPAwsStsV2DTO | CPTypeAzureEntraFederationV2DTO | CPTypeAzureKeyVaultValueDTO | CPTypeClaudeWifV2DTO | CPTypeGoogleWorkflowIDFederationV2DTO | CPGitLabManagedAccountDTO | CPTypeOAuth2AuthorizationCodeUIV2DTO | CPTypeOAuth2ClientCredentialsUIV2DTO | CPTypeOpenAiWifV2DTO | CPTypeJWTTokenV2DTO | CPTypeUsernamePasswordUIV2DTO | CPTypeVaultClientTokenV2DTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/credential-providers"
```
### PUT /api/v2/credential-providers
**Summary:** Update a Credential Provider
**Description:** Update a Credential Provider.
**Operation ID:** put-credential-provider2
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** CredentialProviderV2DTO
* Content-Type: application/json
* Schema: CredentialProviderV2DTO | CPTypeAembitAccessTokenV2DTO | CPTypeApiKeyUIV2DTO | CPAwsStsV2DTO | CPTypeAzureEntraFederationV2DTO | CPTypeAzureKeyVaultValueDTO | CPTypeClaudeWifV2DTO | CPTypeGoogleWorkflowIDFederationV2DTO | CPGitLabManagedAccountDTO | CPTypeOAuth2AuthorizationCodeUIV2DTO | CPTypeOAuth2ClientCredentialsUIV2DTO | CPTypeOpenAiWifV2DTO | CPTypeJWTTokenV2DTO | CPTypeUsernamePasswordUIV2DTO | CPTypeVaultClientTokenV2DTO
**Responses:**
* **200**: Updated Credential Provider
* Content-Type: application/json
* Schema: CredentialProviderV2DTO | CPTypeAembitAccessTokenV2DTO | CPTypeApiKeyUIV2DTO | CPAwsStsV2DTO | CPTypeAzureEntraFederationV2DTO | CPTypeAzureKeyVaultValueDTO | CPTypeClaudeWifV2DTO | CPTypeGoogleWorkflowIDFederationV2DTO | CPGitLabManagedAccountDTO | CPTypeOAuth2AuthorizationCodeUIV2DTO | CPTypeOAuth2ClientCredentialsUIV2DTO | CPTypeOpenAiWifV2DTO | CPTypeJWTTokenV2DTO | CPTypeUsernamePasswordUIV2DTO | CPTypeVaultClientTokenV2DTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/credential-providers"
```
### GET /api/v2/credential-providers
**Summary:** Get a page of Credential Providers
**Description:** Get a page of Credential Providers.
**Operation ID:** get-credential-providers-v2
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
**Responses:**
* **200**: Page of Credential Providers
* Content-Type: application/json
* Schema: CredentialProviderV2DTOCredentialProviderListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/credential-providers?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value"
```
### GET /api/v2/credential-providers/{id}
**Summary:** Get a Credential Provider
**Description:** Get a Credential Provider identified by its ID.
**Operation ID:** get-credential-provider2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Credential Provider
* Content-Type: application/json
* Schema: CredentialProviderV2DTO | CPTypeAembitAccessTokenV2DTO | CPTypeApiKeyUIV2DTO | CPAwsStsV2DTO | CPTypeAzureEntraFederationV2DTO | CPTypeAzureKeyVaultValueDTO | CPTypeClaudeWifV2DTO | CPTypeGoogleWorkflowIDFederationV2DTO | CPGitLabManagedAccountDTO | CPTypeOAuth2AuthorizationCodeUIV2DTO | CPTypeOAuth2ClientCredentialsUIV2DTO | CPTypeOpenAiWifV2DTO | CPTypeJWTTokenV2DTO | CPTypeUsernamePasswordUIV2DTO | CPTypeVaultClientTokenV2DTO
* **204**: Credential Provider Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/credential-providers/{id}"
```
### DELETE /api/v2/credential-providers/{id}
**Summary:** Delete a Credential Provider
**Description:** Delete a Credential Provider identified by its ID.
**Operation ID:** delete-credential-provider2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **204**: Deleted Credential Provider
* **400**: Bad Request
* **401**: Not Authenticated
* **404**: Not Found
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/credential-providers/{id}"
```
### PATCH /api/v2/credential-providers/{id}
**Summary:** Patch a Credential Provider
**Description:** Patch a Credential Provider.
**Operation ID:** patch-credential-provider-v2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** CredentialProviderPatchDTO
* Content-Type: application/json
* Schema: CredentialProviderPatchDTO
**Responses:**
* **200**: Patched Credential Provider
* Content-Type: application/json
* Schema: CredentialProviderV2DTO | CPTypeAembitAccessTokenV2DTO | CPTypeApiKeyUIV2DTO | CPAwsStsV2DTO | CPTypeAzureEntraFederationV2DTO | CPTypeAzureKeyVaultValueDTO | CPTypeClaudeWifV2DTO | CPTypeGoogleWorkflowIDFederationV2DTO | CPGitLabManagedAccountDTO | CPTypeOAuth2AuthorizationCodeUIV2DTO | CPTypeOAuth2ClientCredentialsUIV2DTO | CPTypeOpenAiWifV2DTO | CPTypeJWTTokenV2DTO | CPTypeUsernamePasswordUIV2DTO | CPTypeVaultClientTokenV2DTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/credential-providers/{id}"
```
### GET /api/v2/credential-providers/{id}/verification
**Summary:** Verify the Credential Provider
**Description:** Verify the Credential Provider will successfully return a credential.
**Operation ID:** get-credential-provider-verification-v2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Details on the verification of a Credential Provider
* Content-Type: application/json
* Schema: GenericResponseDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/credential-providers/{id}/verification"
```
### GET /api/v2/credential-providers/{id}/authorize
**Summary:** Get a Credential Provider Authorization URL
**Description:** Get a Credential Provider Authorization URL identified by the Credential Provider ID.
**Operation ID:** get-credential-provider-authorization-v2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Credential Provider
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **302**: Redirects to the Credential Provider Authorization URL
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/credential-providers/{id}/authorize"
```
## DiscoveryIntegration
### GET /api/v1/discovery-integrations
**Summary:** Get a page of Integrations
**Description:** Get a page of Integrations.
**Operation ID:** get-discovery-integrations
**Parameters:**
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
**Responses:**
* **200**: Page of Integrations
* Content-Type: application/json
* Schema: DiscoveryIntegrationListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/discovery-integrations?page=example-value&per-page=example-value&filter=example-value&order=example-value"
```
### POST /api/v1/discovery-integrations
**Summary:** Create an Integration
**Description:** Create an Integration.
**Operation ID:** post-discovery-integration
**Request Body:** DiscoveryIntegrationDTO
* Content-Type: application/json
* Schema: DiscoveryIntegrationDTO
**Responses:**
* **201**: Created Integration
* Content-Type: application/json
* Schema: DiscoveryIntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/discovery-integrations"
```
### PUT /api/v1/discovery-integrations
**Summary:** Update an Integration
**Description:** Update an Integration.
**Operation ID:** put-discovery-integration
**Request Body:** DiscoveryIntegrationDTO
* Content-Type: application/json
* Schema: DiscoveryIntegrationDTO
**Responses:**
* **200**: Updated Integration
* Content-Type: application/json
* Schema: DiscoveryIntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/discovery-integrations"
```
### GET /api/v1/discovery-integrations/{id}
**Summary:** Get an Integration
**Description:** Get an Integration.
**Operation ID:** get-discovery-integration
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Integration
**Responses:**
* **200**: Integration
* Content-Type: application/json
* Schema: DiscoveryIntegrationDTO
* **204**: Integration Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/discovery-integrations/{id}"
```
### DELETE /api/v1/discovery-integrations/{id}
**Summary:** Delete an Integration
**Description:** Delete an Integration as identified by its ID.
**Operation ID:** delete-discovery-integration
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Integration
**Responses:**
* **200**: Successfully deleted Integration
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
"https://your-tenant.aembit.io/api/v1/discovery-integrations/{id}"
```
### PATCH /api/v1/discovery-integrations/{id}
**Summary:** Patch an Integration
**Description:** Patch an Integration as identified by its ID.
**Operation ID:** patch-discovery-integration
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Integration
**Request Body:** DiscoveryIntegrationPatchDTO
* Content-Type: application/json
* Schema: DiscoveryIntegrationPatchDTO
**Responses:**
* **200**: Patched Integration
* Content-Type: application/json
* Schema: DiscoveryIntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/discovery-integrations/{id}"
```
## DiscoveryServerWorkloadDraft
### GET /api/alpha/server-workload-drafts/{id}
**Parameters:**
* **id** (path) *(required)*: string (uuid)
**Responses:**
* **200**: OK
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/alpha/server-workload-drafts/{id}"
```
## Workload Event
### GET /api/v1/workload-events
**Summary:** Get a page of Workload Events
**Description:** Get a page of Workload Events.
**Operation ID:** get-workload-events
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **order** (query) *(optional)*: string
* **search** (query) *(optional)*: string
* **span-last-minutes** (query) *(optional)*: integer (int32)
* **span-last-hours** (query) *(optional)*: integer (int32)
* **start-date** (query) *(optional)*: string (date-time)
* **end-date** (query) *(optional)*: string (date-time)
* **application-protocol** (query) *(optional)*: string
* **severity** (query) *(optional)*: string
* **source-workload** (query) *(optional)*: Array\
* **target-workload** (query) *(optional)*: Array\
* **user-id** (query) *(optional)*: string
**Responses:**
* **200**: Page of Workload Events
* Content-Type: application/json
* Schema: EventListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/workload-events?page=example-value&per-page=example-value&order=example-value&search=example-value&span-last-minutes=example-value&span-last-hours=example-value&start-date=example-value&end-date=example-value&application-protocol=example-value&severity=example-value&source-workload=example-value&target-workload=example-value&user-id=example-value"
```
### GET /api/v1/workload-events/{id}
**Summary:** Get a Workload Event
**Description:** Get a Workload Event.
**Operation ID:** get-workload-event
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Workload Event
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Workload Event
* Content-Type: application/json
* Schema: EventDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/workload-events/{id}"
```
## Health
### GET /api/v1/health
**Summary:** Aembit Cloud API Health
**Description:** Get the health of the Aembit Cloud API.
**Operation ID:** get-health
**Responses:**
* **200**: API Health
* Content-Type: application/json
* Schema: HealthDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/health"
```
## Integration
### GET /api/v1/integrations
**Summary:** Get a page of Integrations
**Description:** Get a page of Integrations.
**Operation ID:** get-integrations
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
**Responses:**
* **200**: Page of Integrations
* Content-Type: application/json
* Schema: IntegrationDTOIntegrationListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/integrations?page=example-value&per-page=example-value&filter=example-value&order=example-value"
```
### POST /api/v1/integrations
**Summary:** Create an Integration
**Description:** Create an Integration.
**Operation ID:** post-integration
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** IntegrationDTO
* Content-Type: application/json
* Schema: IntegrationDTO
**Responses:**
* **201**: Created Integration
* Content-Type: application/json
* Schema: IntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/integrations"
```
### PUT /api/v1/integrations
**Summary:** Update an Integration
**Description:** Update an Integration.
**Operation ID:** put-integration
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** IntegrationDTO
* Content-Type: application/json
* Schema: IntegrationDTO
**Responses:**
* **200**: Updated Integration
* Content-Type: application/json
* Schema: IntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/integrations"
```
### GET /api/v1/integrations/{id}
**Summary:** Get an Integration
**Description:** Get an Integration.
**Operation ID:** get-integration
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Integration
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Integration
* Content-Type: application/json
* Schema: IntegrationDTO
* **204**: Integration Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/integrations/{id}"
```
### DELETE /api/v1/integrations/{id}
**Summary:** Delete an Integration
**Description:** Delete an Integration as identified by its ID.
**Operation ID:** delete-integration
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Integration
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Successfully deleted Integration
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v1/integrations/{id}"
```
### PATCH /api/v1/integrations/{id}
**Summary:** Patch an Integration
**Description:** Patch an Integration as identified by its ID.
**Operation ID:** patch-integration
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Integration
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** IntegrationPatchDTO
* Content-Type: application/json
* Schema: IntegrationPatchDTO
**Responses:**
* **200**: Patched Integration
* Content-Type: application/json
* Schema: IntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/integrations/{id}"
```
## Integration v2
### GET /api/v2/integrations
**Summary:** Get a page of Integrations
**Description:** Get a page of Integrations.
**Operation ID:** get-integrations2
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
**Responses:**
* **200**: Page of Integrations
* Content-Type: application/json
* Schema: IntegrationV2DTOIntegrationListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/integrations?page=example-value&per-page=example-value&filter=example-value&order=example-value"
```
### POST /api/v2/integrations
**Summary:** Create an Integration
**Description:** Create an Integration.
**Operation ID:** post-integration2
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** IntegrationV2DTO
* Content-Type: application/json
* Schema: IntegrationV2DTO | CrowdStrikeIntegrationDTO | WizIntegrationDTO | GeoIPIntegrationDTO | TimeIntegrationDTO
**Responses:**
* **201**: Created Integration
* Content-Type: application/json
* Schema: IntegrationV2DTO | CrowdStrikeIntegrationDTO | WizIntegrationDTO | GeoIPIntegrationDTO | TimeIntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/integrations"
```
### PUT /api/v2/integrations
**Summary:** Update an Integration
**Description:** Update an Integration.
**Operation ID:** put-integration2
**Parameters:**
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** IntegrationV2DTO
* Content-Type: application/json
* Schema: IntegrationV2DTO | CrowdStrikeIntegrationDTO | WizIntegrationDTO | GeoIPIntegrationDTO | TimeIntegrationDTO
**Responses:**
* **200**: Updated Integration
* Content-Type: application/json
* Schema: IntegrationV2DTO | CrowdStrikeIntegrationDTO | WizIntegrationDTO | GeoIPIntegrationDTO | TimeIntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/integrations"
```
### GET /api/v2/integrations/{id}
**Summary:** Get an Integration
**Description:** Get an Integration.
**Operation ID:** get-integration2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Integration
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Integration
* Content-Type: application/json
* Schema: IntegrationV2DTO | CrowdStrikeIntegrationDTO | WizIntegrationDTO | GeoIPIntegrationDTO | TimeIntegrationDTO
* **204**: Integration Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/integrations/{id}"
```
### DELETE /api/v2/integrations/{id}
**Summary:** Delete an Integration
**Description:** Delete an Integration as identified by its ID.
**Operation ID:** delete-integration2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Integration
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Responses:**
* **200**: Successfully deleted Integration
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
-H "X-Aembit-ResourceSet: your-resource-set-id" \
"https://your-tenant.aembit.io/api/v2/integrations/{id}"
```
### PATCH /api/v2/integrations/{id}
**Summary:** Patch an Integration
**Description:** Patch an Integration as identified by its ID.
**Operation ID:** patch-integration2
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Integration
* **X-Aembit-ResourceSet** (header) *(optional)*: string (uuid)
**Request Body:** IntegrationPatchDTO
* Content-Type: application/json
* Schema: IntegrationPatchDTO
**Responses:**
* **200**: Patched Integration
* Content-Type: application/json
* Schema: IntegrationV2DTO | CrowdStrikeIntegrationDTO | WizIntegrationDTO | GeoIPIntegrationDTO | TimeIntegrationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "X-Aembit-ResourceSet: your-resource-set-id" -H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v2/integrations/{id}"
```
## Log Stream
### GET /api/v1/log-streams
**Summary:** Get a page of Log Streams
**Description:** Get a page of Log Streams.
**Operation ID:** get-log-streams
**Parameters:**
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
**Responses:**
* **200**: Page of Log Streams
* Content-Type: application/json
* Schema: LogStreamListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/log-streams?page=example-value&per-page=example-value&filter=example-value&order=example-value"
```
### POST /api/v1/log-streams
**Summary:** Create a Log Stream
**Description:** Create a Log Stream.
**Operation ID:** post-log-stream
**Request Body:** LogStreamDTO
* Content-Type: application/json
* Schema: LogStreamAWSS3DestinationDTO | LogStreamGCSBucketDestinationDTO | LogStreamCrowdstrikeDestinationDTO | LogStreamSplunkDestinationDTO
**Responses:**
* **201**: Created Log Stream
* Content-Type: application/json
* Schema: LogStreamAWSS3DestinationDTO | LogStreamGCSBucketDestinationDTO | LogStreamCrowdstrikeDestinationDTO | LogStreamSplunkDestinationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/log-streams"
```
### PUT /api/v1/log-streams
**Summary:** Update a Log Stream
**Description:** Update a Log Stream.
**Operation ID:** put-log-stream
**Request Body:** LogStreamDTO
* Content-Type: application/json
* Schema: LogStreamAWSS3DestinationDTO | LogStreamGCSBucketDestinationDTO | LogStreamCrowdstrikeDestinationDTO | LogStreamSplunkDestinationDTO
**Responses:**
* **200**: Updated Log Stream
* Content-Type: application/json
* Schema: LogStreamAWSS3DestinationDTO | LogStreamGCSBucketDestinationDTO | LogStreamCrowdstrikeDestinationDTO | LogStreamSplunkDestinationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/log-streams"
```
### GET /api/v1/log-streams/{id}
**Summary:** Get a Log Stream
**Description:** Get a Log Stream identified by its ID.
**Operation ID:** get-log-stream
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Log Stream
**Responses:**
* **200**: Log Stream
* Content-Type: application/json
* Schema: LogStreamAWSS3DestinationDTO | LogStreamGCSBucketDestinationDTO | LogStreamCrowdstrikeDestinationDTO | LogStreamSplunkDestinationDTO
* **204**: Log Stream Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/log-streams/{id}"
```
### DELETE /api/v1/log-streams/{id}
**Summary:** Delete a Log Stream
**Description:** Delete a Log Stream identified by its ID.
**Operation ID:** delete-log-stream
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Log Stream
**Responses:**
* **204**: Successfully deleted Log Stream
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
"https://your-tenant.aembit.io/api/v1/log-streams/{id}"
```
### PATCH /api/v1/log-streams/{id}
**Summary:** Patch a Log Stream
**Description:** Patch a Log Stream identified by its ID.
**Operation ID:** patch-log-stream
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Log Stream
**Request Body:** LogStreamPatchDTO
* Content-Type: application/json
* Schema: LogStreamPatchDTO
**Responses:**
* **200**: Patched Log Stream
* Content-Type: application/json
* Schema: LogStreamAWSS3DestinationDTO | LogStreamGCSBucketDestinationDTO | LogStreamCrowdstrikeDestinationDTO | LogStreamSplunkDestinationDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/log-streams/{id}"
```
## Resource Set
### GET /api/v1/resource-sets/{id}
**Summary:** Get a Resource Set
**Description:** Get a Resource Set identified by its ID.
**Operation ID:** get-resource-set
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Resource Set
**Responses:**
* **200**: Resource Set
* Content-Type: application/json
* Schema: ResourceSetDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/resource-sets/{id}"
```
### PATCH /api/v1/resource-sets/{id}
**Summary:** Patch a Resource Set
**Description:** Patch a Resource Set identified by its ID.
**Operation ID:** patch-resource-set
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Resource Set
**Request Body:** ResourceSetPatchDTO
* Content-Type: application/json
* Schema: ResourceSetPatchDTO
**Responses:**
* **200**: Patched Resource Set
* Content-Type: application/json
* Schema: ResourceSetDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/resource-sets/{id}"
```
### DELETE /api/v1/resource-sets/{id}
**Summary:** Delete a Resource Set
**Description:** Delete a Resource Set identified by its ID.
**Operation ID:** delete-resource-set-integration
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Resource Set
**Responses:**
* **204**: Successfully deleted Resource Set
* **400**: Bad Request
* **401**: Not Authenticated
* **404**: Not Found
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
"https://your-tenant.aembit.io/api/v1/resource-sets/{id}"
```
### GET /api/v1/resource-sets
**Summary:** Get a page of Resource Sets
**Description:** Get a page of Resource Sets.
**Operation ID:** get-resource-sets
**Parameters:**
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
**Responses:**
* **200**: Page of Resource Sets
* Content-Type: application/json
* Schema: ResourceSetDTOListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/resource-sets?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value"
```
### POST /api/v1/resource-sets
**Summary:** Create a Resource Set
**Description:** Create a Resource Set.
**Operation ID:** post-resource-set
**Request Body:** ResourceSetDTO
* Content-Type: application/json
* Schema: ResourceSetDTO
**Responses:**
* **201**: Created Resource Set
* Content-Type: application/json
* Schema: ResourceSetDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/resource-sets"
```
### PUT /api/v1/resource-sets
**Summary:** Update a Resource Set
**Description:** Update a Resource Set.
**Operation ID:** put-resource-set
**Request Body:** ResourceSetDTO
* Content-Type: application/json
* Schema: ResourceSetDTO
**Responses:**
* **200**: Updated Resource Set
* Content-Type: application/json
* Schema: ResourceSetDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/resource-sets"
```
## Role
### GET /api/v1/roles
**Summary:** Get a page of Roles
**Description:** Get a page of Roles.
**Operation ID:** get-roles
**Parameters:**
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
**Responses:**
* **200**: Page of Roles
* Content-Type: application/json
* Schema: RoleListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/roles?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value"
```
### POST /api/v1/roles
**Summary:** Create a new Role
**Description:** Create a new Role.
**Operation ID:** post-role
**Request Body:** RoleDTO
* Content-Type: application/json
* Schema: RoleDTO
**Responses:**
* **201**: Created Role
* Content-Type: application/json
* Schema: RoleDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/roles"
```
### PUT /api/v1/roles
**Summary:** Update a Role
**Description:** Update a Role.
**Operation ID:** put-role
**Request Body:** RoleDTO
* Content-Type: application/json
* Schema: RoleDTO
**Responses:**
* **200**: Updated Role
* Content-Type: application/json
* Schema: RoleDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/roles"
```
### GET /api/v1/roles/{id}
**Summary:** Get a Role
**Description:** Get a Role identified by its ID.
**Operation ID:** get-role
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Role
**Responses:**
* **200**: Role
* Content-Type: application/json
* Schema: RoleDTO
* **204**: Role Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/roles/{id}"
```
### DELETE /api/v1/roles/{id}
**Summary:** Delete a Role
**Description:** Delete a Role identified by its ID.
**Operation ID:** delete-role
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Role
**Responses:**
* **204**: Successfully deleted Role
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X DELETE \
"https://your-tenant.aembit.io/api/v1/roles/{id}"
```
### PATCH /api/v1/roles/{id}
**Summary:** Patch a Role
**Description:** Patch a Role identified by its ID.
**Operation ID:** patch-role
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Role
**Request Body:** RolePatchDTO
* Content-Type: application/json
* Schema: RolePatchDTO
**Responses:**
* **200**: Patch Role
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/roles/{id}"
```
## Routing
### GET /api/v1/routings/{id}
**Summary:** Get a Routing
**Description:** Get a Routing identified by its ID.
**Operation ID:** get-routing
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Routing
**Responses:**
* **200**: Routing
* Content-Type: application/json
* Schema: RoutingDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **403**: Forbidden
* **404**: Not Found
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/routings/{id}"
```
### PATCH /api/v1/routings/{id}
**Summary:** Patch a Routing
**Description:** Patch a Routing identified by its ID.
**Operation ID:** patch-routing
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of Routing
**Request Body:** RoutingPatchDTO
* Content-Type: application/json
* Schema: RoutingPatchDTO
**Responses:**
* **200**: Patched Routing
* Content-Type: application/json
* Schema: RoutingDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PATCH \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/routings/{id}"
```
### GET /api/v1/routings
**Summary:** Get a page of Routings
**Description:** Get a page of Routings.
**Operation ID:** get-routings
**Parameters:**
* **page** (query) *(optional)*: integer (int32)
* **per-page** (query) *(optional)*: integer (int32)
* **filter** (query) *(optional)*: string
* **order** (query) *(optional)*: string
* **group-by** (query) *(optional)*: string
**Responses:**
* **200**: Page of Routings
* Content-Type: application/json
* Schema: RoutingDTOListDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/routings?page=example-value&per-page=example-value&filter=example-value&order=example-value&group-by=example-value"
```
### POST /api/v1/routings
**Summary:** Create a Routing
**Description:** Create a Routing.
**Operation ID:** post-routing
**Request Body:** RoutingDTO
* Content-Type: application/json
* Schema: RoutingDTO
**Responses:**
* **201**: Created Routing
* Content-Type: application/json
* Schema: RoutingDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **403**: Forbidden
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X POST \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/routings"
```
### PUT /api/v1/routings
**Summary:** Update a Routing
**Description:** Update a Routing.
**Operation ID:** put-routing
**Request Body:** RoutingDTO
* Content-Type: application/json
* Schema: RoutingDTO
**Responses:**
* **200**: Updated Routing
* Content-Type: application/json
* Schema: RoutingDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/routings"
```
## SignOn Policy
### GET /api/v1/signin-policies
**Summary:** Get a SignOn Policy
**Description:** Get a SignOn Policy by its name.
**Operation ID:** get-signon-policy
**Responses:**
* **200**: SignOn Policy
* Content-Type: application/json
* Schema: GetSignInPolicyDTO
* **204**: SignOn Policy Not Found
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/signin-policies"
```
## MFA SignOn Policy
### PUT /api/v1/signin-policies/mfa
**Summary:** Update a MFA SignOn Policy
**Description:** Update a MFA SignOn Policy.
**Operation ID:** put-mfa-signon Policy
**Request Body:** MFASignInPolicyDTO
* Content-Type: application/json
* Schema: MFASignInPolicyDTO
**Responses:**
* **200**: Updated MFA SignOn Policy
* Content-Type: application/json
* Schema: MFASignInPolicyDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **403**: Forbidden
* Content-Type: application/json
* Schema: GenericResponseDTO
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/signin-policies/mfa"
```
## SSO SignOn Policy
### PUT /api/v1/signin-policies/sso
**Summary:** Update a SSO SignOn Policy
**Description:** Update a SSO SignOn Policy.
**Operation ID:** put-SSO-signon Policy
**Request Body:** SSOSignInPolicyDTO
* Content-Type: application/json
* Schema: SSOSignInPolicyDTO
**Responses:**
* **200**: Updated SSO SignOn Policy
* Content-Type: application/json
* Schema: SSOSignInPolicyDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X PUT \
-H "Content-Type: application/json" \
-d '{"example": "data"}' \
"https://your-tenant.aembit.io/api/v1/signin-policies/sso"
```
## SSO Identity Provider
### GET /api/v1/sso-idps/{id}/verification
**Summary:** Verify the SSO Identity Provider
**Description:** Verify the SSO Identity Provider has all necessary configuration data.
**Operation ID:** get-identity-provider-verification
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of SSO Identity Provider
**Responses:**
* **200**: SSO Identity Provider verification
* Content-Type: application/json
* Schema: GenericResponseDTO
* **400**: Bad Request
* **401**: Not Authenticated
* **500**: Internal Server Error
* Content-Type: application/json
* Schema: GenericResponseDTO
**cURL Example:**
```bash
curl -X GET \
"https://your-tenant.aembit.io/api/v1/sso-idps/{id}/verification"
```
### GET /api/v1/sso-idps/{id}
**Summary:** Get a SSO Identity Provider
**Description:** Get a SSO Identity Provider identified by its ID.
**Operation ID:** get-identity-provider
**Parameters:**
* **id** (path) *(required)*: string (uuid) - ID of SSO Identity Provider
**Responses:**
* **200**: SSO Identity Provider
* Content-Type: application/json
[...]
